﻿@model Mandiri.Lelang.ViewModel.Web.ContactUsViewModel

<div class="container">
    <ol class="breadcrumb">
        <li><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
        <li><a href="/contact/contact-us">Hubungi Kami</a></li>
    </ol>
    <div class="col-lg-6">
        <div class="well bs-component">
            @using (Html.BeginForm("SubmitContactForm", "Contact", FormMethod.Post, new { id = "addForm", role = "form", autocomplete = "off" }))
            {
                @Html.AntiForgeryToken()
                <fieldset>
                    <legend>Hubungi Kami</legend>
                    <div style="margin: 15px;">
                        @if (Model.IsSaveSuccess)
                        {
                            <div class="alert alert-success" role="alert">Terima kasih. Pesan anda telah kami terima, kami akan segera menghubungi anda.</div>
                        }
                        <div class="form-group">
                            @Html.LabelFor(m => m.Name, new { @class = "control-label" })
                            @Html.TextBoxFor(m => m.Name, new { placeholder = "Required", @class = "form-control", autofocus = "autofocus", style = "max-width: 280px;" })
                            @Html.ValidationMessageFor(m => m.Name, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(m => m.Email, new { @class = "control-label" })
                            @Html.TextBoxFor(m => m.Email, new { placeholder = "Required", @class = "form-control", style = "max-width: 280px;" })
                            @Html.ValidationMessageFor(m => m.Email, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(m => m.Contact, new { @class = "control-label" })
                            @Html.TextBoxFor(m => m.Contact, new { placeholder = "Required", @class = "form-control", style = "max-width: 280px;" })
                            @Html.ValidationMessageFor(m => m.Contact, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(m => m.MessageCategoryTypeID, new { @class = "control-label" })
                            @Html.DropDownListFor(m => m.MessageCategoryTypeID, new SelectList(Model.MessageCategoryTypes, "MessageCategoryTypeID", "Name"), "(Required)", new { placeholder = "Required", @class = "form-control", style = "max-width: 280px;" })
                            @Html.ValidationMessageFor(m => m.MessageCategoryTypeID, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(m => m.AssetCode, new { @class = "control-label" })
                            @Html.TextBoxFor(m => m.AssetCode, new { placeholder = "Optional", @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.AssetCode, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(m => m.BranchID, new { @class = "control-label" })
                            @Html.DropDownListFor(m => m.BranchID, new SelectList(Model.Branches, "BranchID", "Name"), "(Optional)", new { placeholder = "(Optional)", @class = "form-control", style = "max-width: 280px;" })
                            @Html.ValidationMessageFor(m => m.BranchID, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(m => m.Message, new { @class = "control-label" })
                            @Html.TextAreaFor(m => m.Message, new { placeholder = "Required", @class = "form-control", rows = 6 })
                            @Html.ValidationMessageFor(m => m.Message, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group">
                            <div>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                        @Html.ValidationSummary(null, new { style = "color: red !important;" })
                        @if (Model.IsSaveSuccess)
                        {
                            <div class="alert alert-success" role="alert">Terima kasih. Pesan anda telah kami terima, kami akan segera menghubungi anda.</div>
                        }
                    </div>
                </fieldset>
            }
        </div>
    </div>
    <div class="col-lg-6">
        @Html.Raw(Model.AddressAndContact)
    </div>
</div>
